# Uses of Class
org.eclipse.swt.events.FocusEvent

Packages that use FocusEvent
Package
Description
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.swt.events
SWT typed listener support.

## Uses of FocusEvent in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink with parameters of type FocusEvent
Modifier and Type
Method
Description
`void`
HyperlinkManager.`focusGained(FocusEvent e)`
`void`
HyperlinkManager.`focusLost(FocusEvent event)`

## Uses of FocusEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type FocusEvent
Modifier and Type
Method
Description
`void`
FocusAdapter.`focusGained(FocusEvent e)`
Sent when a control gets focus.
`void`
FocusListener.`focusGained(FocusEvent e)`
Sent when a control gets focus.
`void`
FocusAdapter.`focusLost(FocusEvent e)`
Sent when a control loses focus.
`void`
FocusListener.`focusLost(FocusEvent e)`
Sent when a control loses focus.
Method parameters in org.eclipse.swt.events with type arguments of type FocusEvent
Modifier and Type
Method
Description
`static FocusListener`
FocusListener.`focusGainedAdapter(Consumer<FocusEvent> c)`
Static helper method to create a `FocusListener` for the `FocusListener.focusGained(FocusEvent e)`) method with a lambda expression.
`static FocusListener`
FocusListener.`focusLostAdapter(Consumer<FocusEvent> c)`
Static helper method to create a `FocusListener` for the `FocusListener.focusLost(FocusEvent e)`) method with a lambda expression.